package com.mx.dla.dda.admin.catalogos.tipoCambio.daos;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.mx.dla.dda.admin.catalogos.tipoCambio.dtos.TipoCambioDTO;
import com.mx.dla.dda.admin.catalogos.tipoCambio.dtos.TipoCambioPaisDTO;

public interface TipoCambioDAO {
	
	public void creaTipoCambio(TipoCambioPaisDTO param);

	public void actualizaTipoCambio(TipoCambioPaisDTO param);

	public List<TipoCambioDTO> consultaTiposCambio();
	
	public List<TipoCambioPaisDTO> obtnerMesTipos(@Param("mes") String mes, @Param("idPais") Long idPais);

}
